summaryrefslogtreecommitdiff
path: root/commit.d/99push
diff options
context:
space:
mode:
authorJoey Hess <joey@kitenet.net>2012-11-19 12:08:53 -0400
committerJoey Hess <joey@kitenet.net>2012-11-19 12:08:53 -0400
commit4adbc0eecebc3b59a66f014919a39a43d0940e96 (patch)
treef296cb6e52da63336aa5cac7347a16f93fa8c7e3 /commit.d/99push
parentf0b914f3341b7ff9b014498713458384603dfbd6 (diff)
improvements to push code
Diffstat (limited to 'commit.d/99push')
-rwxr-xr-xcommit.d/99push7
1 files changed, 7 insertions, 0 deletions
diff --git a/commit.d/99push b/commit.d/99push
new file mode 100755
index 0000000..9c1844c
--- /dev/null
+++ b/commit.d/99push
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if [ "$VCS" = git ] && [ -d .git ] && [ -n "$PUSH_REMOTE" ]; then
+ git push "$PUSH_REMOTE" master || true
+else
+ echo "PUSH_REMOTE not yet supported for $VCS" >&2
+fi